<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [UserInterface](./bitburner.userinterface.md)

## UserInterface interface

User Interface API.

**Signature:**

```typescript
interface UserInterface 
```

## Methods

|  Method | Description |
|  --- | --- |
|  [clearTerminal()](./bitburner.userinterface.clearterminal.md) | Clear the Terminal window, as if the player ran <code>clear</code> in the terminal |
|  [getGameInfo()](./bitburner.userinterface.getgameinfo.md) | Gets the current game information (version, commit, ...) |
|  [getStyles()](./bitburner.userinterface.getstyles.md) | Get the current styles |
|  [getTheme()](./bitburner.userinterface.gettheme.md) | Get the current theme |
|  [resetStyles()](./bitburner.userinterface.resetstyles.md) | Resets the player's styles to the default values |
|  [resetTheme()](./bitburner.userinterface.resettheme.md) | Resets the player's theme to the default values |
|  [setStyles(newStyles)](./bitburner.userinterface.setstyles.md) | Sets the current styles |
|  [setTheme(newTheme)](./bitburner.userinterface.settheme.md) | Sets the current theme |
|  [windowSize()](./bitburner.userinterface.windowsize.md) | Get the current window size |

